#ifndef __EV5_ROUTINES_OSF1_LOADED
#define __EV5_ROUTINES_OSF1_LOADED
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/ 
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains EV5-specific Unix-specific
//		counter control definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//
#if defined(__osf__) || defined(__LINUX__)

#include "evx_vms_osf.h"
#include <assert.h>

extern STATUSFUNCPTR
   PtrGetStopCode;

#define EV5_LEGAL_MODES (IPR_MMASK_M_KERNEL |\
			 IPR_MMASK_M_USER | IPR_MMASK_M_PAL \
			 | IPR_MMASK_M_SELECTED)

#endif // defined (__osf__)
#endif // ifndef __EV5_ROUTINES_OSF1_LOADED
