#ifndef __EVX_VMS_OSF_LOADED
#define __EVX_VMS_OSF_LOADED
#if (defined __VMS) || (defined __osf__) || (defined __LINUX__)
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains definitions that are specific to
//		the common performance counter PALcode interface used in OpenVMS
//		and Digital Unix.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#include "ipr_base_defs.h"
/* 12/13/97:phil: If for some reason we want to fake the Update performance 
 *  monitor command, we can now do it.. 
 */

#ifdef FAKE_MTPR_PERFMON
#  define KIprUpdatePerfmon(a,b,c,d) IPR__SUCCESS
#else
extern IPR_STATUS KIprUpdatePerfmon (IPR_CPUNUM, uint64, uint64, uint64 *);
#endif

#endif // if (defined __VMS) || (defined __osf__)
#endif // ifndef __EVX_VMS_OSF_LOADED
