/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
/*
 * Program: iprobe_glocal.h
 *
 * Abstract: Defines for Functions that are wrappers for former global variables.       
 *
 * Author: Phillip Ezolt
 *
 * Creation Date: 28-July-97
 *
 * Modification History:
 *
 */

system_info *GetSystemInformation(void);
FLAG *GetStartedProcessExited(void);
uint32 *GetTotalNumberOfCounters(void);
uint32 *GetTotalNumberOfCPUs(void);
struct keywords *GetMethodTable(void);
struct keywords *GetOptionTable(void);
struct keywords *GetUnknownKeyword(void);
boolean *IsDebug(void);
boolean *IsQuiet(void);
boolean *IsNoIntermediate(void);
int *GetStartedCommandPidPointer(void);









