/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

/*
 *  Module:  ipr_os_osf1.h
 *
 *  Abstract: OSF/1 specific definitions.    
 *
 *  Author: Michael Dempsey
 *
 *  Creation Date: Aug-1994
 *
 *  Modification History  
 *
 *    Phil Ezolt: 11-Jul-1997
 *     Update Function names to new coding spec.
 *
 *    Michael Dempsey  Aug-1994,
 *     Newly created
 *
 */
#define MAX_UINT 0xFFFFFFFFFFFFFFFF
extern void InitiateOS();
extern void OSGetSystemInformation();
IPR_STATUS CreateArgv(char *CommandLine, char *ArgumentVector[]);
