#ifndef __EV4_ROUTINES_LINUX_LOADED
#define __EV4_ROUTINES_LINUX_LOADED 1
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1993-1999 BY			                            */
/*  Digital Equiptment/Compaq Computer Corporation.       		    */
/*  ALL RIGHTS RESERVED.						    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*									    */
/****************************************************************************/

/* 
 * Abstract:	This header file contains definitions specific both to EV4
 *		and the OpenVMS EV4 counter support implementation.
 * 
 * Author:		Brian F. Wibecan
 * Creation Date:	16-Dec-1993
 * 
 * Modified by:
 *
 * X-5 AJD2018		Anil J.D'silva 		15-Nov-1994
 * 	Modified the VMS header file for use with OSF.
 *
 * X-4	BFW1085		Brian F. Wibecan	09-May-1994
 *	Moved assert.h inclusion to OS-specific header files.
 *
 * X-3	BFW1012		Brian F. Wibecan	19-Jan-1994
 *	Added IPL save/restore info.
 *
 * X-2	BFW1011		Brian F. Wibecan	18-Jan-1994
 *	Removed unnecessary header file include statements.
 * 
 * X-1	BFW1000		Brian F. Wibecan	16-Dec-1993
 *	Original version.
 * 
*/
//
//             Patent Pending, Digital Equipment Corporation
//

#ifdef __LINUX__

#include "evx_vms_osf.h"

/*FIX:! */

#define RESET_IPL() (0)

extern STATUSFUNCPTR
   PtrGetStopCode;
#endif /* defined (OSF) */
#endif /* ifndef __EV4_ROUTINES_LINUX_LOADED */


